import { AwsCredentialsType, AwsSdkVersionEnum } from './aws-credentials-type.js';
import { AwsCredentialsClass, AwsCredentialsConfig } from '../../types/types.js';
export type AwsAssumedRoleConfig = {
    roleArn: string;
    sessionName: string;
    region: string;
    primaryCredentials: AwsCredentialsClass;
    duration?: number;
};
declare class AwsAssumedRole extends AwsCredentialsType implements AwsAssumedRoleConfig {
    roleArn: string;
    sessionName: string;
    region: string;
    primaryCredentials: AwsCredentialsClass;
    duration?: number;
    private stsClient;
    private stsCreds;
    constructor(props: AwsAssumedRoleConfig);
    static isAwsAssumedRole(credentials: AwsCredentialsConfig): boolean;
    static fromJson(object: AwsAssumedRoleConfig): AwsAssumedRole;
    private static buildPrimaryCreds;
    private credsWillExpireInSession;
    private mapStsCredsToGenericCreds;
    getCredentials(awsSdkVersion?: AwsSdkVersionEnum): Promise<import("./aws-credentials-type.js").AwsCredentials>;
}
export { AwsAssumedRole };
