/// <reference types="react" />
import { Widget } from '@tinystacks/ops-model';
import { BaseProvider, BaseWidget } from '@tinystacks/ops-core';
import { TimeRange, TimeRangeOverrides } from '../utils/utils.js';
export declare enum MetricColors {
    RED = "#F56565",
    BLUE = "#4299E1",
    ORANGE = "#ED8936",
    GREEN = "#68D391"
}
type KeyValuePair = {
    key: string;
    value: string;
};
type MetricData = {
    value: number;
    unit: string;
    timestamp: number;
};
type Metric = {
    metricNamespace: string;
    metricName: string;
    metricDisplayName: string;
    statistic?: string;
    dimensions: KeyValuePair[];
    data?: MetricData[];
};
type AwsCloudWatchMetricGraphOverrides = TimeRangeOverrides;
type AwsCloudWatchMetricGraphProps = Widget & AwsCloudWatchMetricGraphOverrides & {
    showTimeRangeSelector?: boolean;
    showPeriodSelector?: boolean;
    metrics: Metric[];
    region: string;
};
export declare class AwsCloudWatchMetricGraph extends BaseWidget {
    static type: string;
    showTimeRangeSelector: boolean;
    showPeriodSelector: boolean;
    metrics: Metric[];
    timeRange: TimeRange;
    region: string;
    constructor(props: AwsCloudWatchMetricGraphProps);
    additionalProperties?: any;
    static fromJson(object: AwsCloudWatchMetricGraphProps): AwsCloudWatchMetricGraph;
    toJson(): AwsCloudWatchMetricGraphProps;
    getData(providers?: BaseProvider[], overrides?: AwsCloudWatchMetricGraphOverrides): Promise<void>;
    render(_children?: any, overridesCallback?: (overrides: AwsCloudWatchMetricGraphOverrides) => void): JSX.Element;
}
export {};
