import { BaseProvider } from '@tinystacks/ops-core';
import { AwsCredentialsProvider } from '../aws-provider/aws-credentials-provider.js';
export declare function getAwsCredentialsProvider(providers?: BaseProvider[]): AwsCredentialsProvider;
export declare enum TimeUnitEnum {
    ns = "ns",
    ms = "ms",
    s = "s",
    m = "m",
    hr = "h",
    d = "d",
    w = "w",
    mo = "mo",
    yr = "yr"
}
export type TimeRange = AbsoluteTimeRange | RelativeTime;
export type AbsoluteTimeRange = {
    startTime: number;
    endTime: number;
};
export type RelativeTime = {
    time: number;
    unit: TimeUnitEnum;
};
export declare function getTimes(timeRange: TimeRange): {
    startTime: Date;
    endTime: Date;
};
export declare function cleanTimeRange(timeRange: TimeRange, overrides: TimeRangeOverrides): TimeRange;
export declare function getPeriodBasedOnTimeRange(startTime: Date, endTime: Date): number;
export type TimeRangeOverrides = {
    timeRange?: TimeRange;
};
